Skip to main content
GET
/
api
/
v2
/
projects
/
{projectKey}
/
ai-configs
/
{configKey}
/
variations
/
{variationKey}
Get AI Config variation
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/projects/{projectKey}/ai-configs/{configKey}/variations/{variationKey} \
  --header 'Authorization: <api-key>'
{
  "totalCount": 0,
  "items": [
    {
      "judgeConfiguration": {
        "judges": [
          {
            "samplingRate": 0.7061401,
            "judgeConfigKey": "judgeConfigKey"
          },
          {
            "samplingRate": 0.7061401,
            "judgeConfigKey": "judgeConfigKey"
          }
        ]
      },
      "instructions": "instructions",
      "color": "color",
      "_links": {
        "parent": {
          "href": "href",
          "type": "type"
        }
      },
      "description": "description",
      "modelConfigKey": "modelConfigKey",
      "judgingConfigKeys": [
        "judgingConfigKeys",
        "judgingConfigKeys"
      ],
      "version": 1,
      "tools": [
        {
          "customParameters": {
            "key": ""
          },
          "version": 2,
          "key": "key"
        },
        {
          "customParameters": {
            "key": ""
          },
          "version": 2,
          "key": "key"
        }
      ],
      "createdAt": 6,
      "_publishedAt": 5,
      "_archivedAt": 5,
      "name": "name",
      "messages": [
        {
          "role": "role",
          "content": "content"
        },
        {
          "role": "role",
          "content": "content"
        }
      ],
      "comment": "comment",
      "model": "{}",
      "_id": "_id",
      "state": "state",
      "key": "key"
    },
    {
      "judgeConfiguration": {
        "judges": [
          {
            "samplingRate": 0.7061401,
            "judgeConfigKey": "judgeConfigKey"
          },
          {
            "samplingRate": 0.7061401,
            "judgeConfigKey": "judgeConfigKey"
          }
        ]
      },
      "instructions": "instructions",
      "color": "color",
      "_links": {
        "parent": {
          "href": "href",
          "type": "type"
        }
      },
      "description": "description",
      "modelConfigKey": "modelConfigKey",
      "judgingConfigKeys": [
        "judgingConfigKeys",
        "judgingConfigKeys"
      ],
      "version": 1,
      "tools": [
        {
          "customParameters": {
            "key": ""
          },
          "version": 2,
          "key": "key"
        },
        {
          "customParameters": {
            "key": ""
          },
          "version": 2,
          "key": "key"
        }
      ],
      "createdAt": 6,
      "_publishedAt": 5,
      "_archivedAt": 5,
      "name": "name",
      "messages": [
        {
          "role": "role",
          "content": "content"
        },
        {
          "role": "role",
          "content": "content"
        }
      ],
      "comment": "comment",
      "model": "{}",
      "_id": "_id",
      "state": "state",
      "key": "key"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string
required
configKey
string
required
variationKey
string
required

Response

Successful response

items
object[]
required
totalCount
integer
required